LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XMessageBox Interface Referencepublished

gives access to a message box. More...

`import"XMessageBox.idl";`

## Public Member Functions
short | execute ()
| shows the message box. More...

## Public Attributes
string | CaptionText
| the caption text. More...
string | MessageText
| the message text. More...

## Detailed Description

gives access to a message box.

## Member Function Documentation

## ◆ execute()

short execute | ( |  | ) |

shows the message box.

Returns
  one of MessageBoxResults.

## Member Data Documentation

## ◆ CaptionText

string CaptionText
| attribute

the caption text.

## ◆ MessageText

string MessageText
| attribute

the message text.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XMessageBox.idl